package com.loafle.overflow.module.infra.service;

import com.loafle.overflow.module.infra.dao.*;
import com.loafle.overflow.module.infra.model.*;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * Created by insanity on 17. 6. 28.
 */

@Service
public class InfraService {

    @Autowired
    InfraDAO infraDAO;
    @Autowired
    InfraMachineDAO infraMachineDAO;
    @Autowired
    InfraHostDAO infraHostDAO;
    @Autowired
    InfraOSDAO infraOSDAO;
    @Autowired
    InfraOSApplicationDAO infraOSApplicationDAO;
    @Autowired
    InfraOSDaemonDAO infraOSDaemonDAO;
    @Autowired
    InfraOSPortDAO infraOSPortDAO;
    @Autowired
    InfraServiceDAO infraServiceDAO;


    public Infra regist(Infra infra) {
        return this.infraDAO.save(infra);
    }

    public InfraMachine registMachine(InfraMachine infraMachine) {
        return this.infraMachineDAO.save(infraMachine);
    }

    public InfraHost registHost(InfraHost infraHost) {
        return this.infraHostDAO.save(infraHost);
    }

    public InfraOS registOS(InfraOS infraOS) {
        return this.infraOSDAO.save(infraOS);
    }
    public InfraOSApplication registOSApplication(InfraOSApplication infraOSApplication) {
        return this.infraOSApplicationDAO.save(infraOSApplication);
    }
    public InfraOSDaemon registOSDaemon(InfraOSDaemon infraOSDaemon) {
        return this.infraOSDaemonDAO.save(infraOSDaemon);
    }

    public InfraOSPort registOSPort(InfraOSPort infraOSPort) {
        return this.infraOSPortDAO.save(infraOSPort);
    }

    public com.loafle.overflow.module.infra.model.InfraService registService(com.loafle.overflow.module.infra.model.InfraService infraService) {
        return this.infraServiceDAO.save(infraService);
    }

    public Infra read(String id) {
        return this.infraDAO.findOne(Long.valueOf(id));
    }

}
